Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

SOLVED easyapache 4 phalcon segmentation fault

Discussion in 'EasyApache' started by vacancy, Sep 24, 2017.

  1. vacancy

    vacancy Well-Known Member

    Joined:
    Sep 20, 2012
    Messages:
    189
    Likes Received:
    23
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    Hello there

    I've installed phalcon on a easyapache 4 and I see a segmentation fault on the php side.

    I have tried installing php 5.5, 5.6 and 7 versions. I tried different phalcon versions (3.0.1-3.2.1-3.2.2) but could not solve the problem. I could install and run it 1-2 months ago without any problems.

    The error that appears in the apache error log is:

     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    44,378
    Likes Received:
    1,857
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    Can you verify the steps you took to install this module?

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. vacancy

    vacancy Well-Known Member

    Joined:
    Sep 20, 2012
    Messages:
    189
    Likes Received:
    23
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    yum install git
    yum install gc
    yum install pcre-devel

    phalcon files download, after

    /opt/cpanel/ea-php56/root/usr/bin/phpize

    ./configure --enable-phalcon --with-php-config=/opt/cpanel/ea-php56/root/usr/bin/php-config
    make
    make install

    after php.ini file add "extension=phalcon.so"

    I installed the last 1-2 months ago, there was no problem.
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    44,378
    Likes Received:
    1,857
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. vacancy

    vacancy Well-Known Member

    Joined:
    Sep 20, 2012
    Messages:
    189
    Likes Received:
    23
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
  6. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    44,378
    Likes Received:
    1,857
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Did you check the post referenced in my last response regarding the version of phalcon installed?

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  7. vacancy

    vacancy Well-Known Member

    Joined:
    Sep 20, 2012
    Messages:
    189
    Likes Received:
    23
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    I experimented with almost all phalcon versions.

    2.x - 3.0.x - 3.2.x

    I also tried to install PHP 5 and 7 on all versions of the results did not change.

    The installation method worked well before. I installed it many times, the problem started after the last easyapache 4 updates.
     
  8. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    44,378
    Likes Received:
    1,857
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    Could you open a support ticket using the link in my signature so we can take a closer look?

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  9. vacancy

    vacancy Well-Known Member

    Joined:
    Sep 20, 2012
    Messages:
    189
    Likes Received:
    23
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    Ticket number: 8896553

    Thank you.
     
  10. vacancy

    vacancy Well-Known Member

    Joined:
    Sep 20, 2012
    Messages:
    189
    Likes Received:
    23
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    I have phalcon module support already in easyapache 4, so I am wasting time manually installing it.

    my mistake, thanks :)

    Code:
    php55-php-phalcon
    php56-php-phalcon
    php70-php-phalcon
    php71-php-phalcon
    
     
    cPanelMichael likes this.
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice